FreeMat

- Main Page
- Related Pages

vtkCardinalSpline

Section: Visualization Toolkit Filtering Classes

# Usage

vtkCardinalSpline is a concrete implementation of vtkSpline using a Cardinal basis.

To create an instance of class vtkCardinalSpline, simply invoke its constructor as follows

      obj = vtkCardinalSpline

# Methods

The class vtkCardinalSpline has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCardinalSpline class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCardinalSpline = obj.NewInstance ()`
- `vtkCardinalSpline = obj.SafeDownCast (vtkObject o)`
- `obj.Compute ()`
- `double = obj.Evaluate (double t)` - Evaluate a 1D cardinal spline.
- `obj.DeepCopy (vtkSpline s)` - Deep copy of cardinal spline data.